package main

import (
	"encoding/json"
	"log"
	"io/ioutil"
	"os"

	"srs.epita.fr/fic-server/libfic"
)

type wantChoices struct {
	FlagId       int64 `json:"id"`
}

func treatWantChoices(pathname string, team fic.Team) {
	var ask wantChoices

	if cnt_raw, err := ioutil.ReadFile(pathname); err != nil {
		log.Println("[ERR]", err)
	} else if err := json.Unmarshal(cnt_raw, &ask); err != nil {
		log.Println("[ERR]", err)
	} else if ask.FlagId == 0 {
		log.Println("[WRN] Invalid content in wantChoices file: ", pathname)
		os.Remove(pathname)
	} else if flag, err := fic.GetFlagKey(ask.FlagId); err != nil {
		log.Println("[ERR]", err)
	} else if err := team.DisplayChoices(flag); err != nil {
		log.Println("[ERR]", err)
	} else {
		if err := genTeamMyFile(team); err != nil {
			log.Println("my-", team.Id, ".json generation error: ", err)
		}
		if err := os.Remove(pathname); err != nil {
			log.Println("[ERR]", err)
		}
	}
}
